/*
 * pwm.h
 *
 *  Created on: Nov 6, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PWM_H_
#define PWM_H_

#include <stdint.h>

/**
 * @brief Configure the PWM (channel 1 of the TIM4) connected to the PD12 pin (LED-RGB blue on Kameleon board).
 */
void Pwm_Config(void);

/**
 * @brief Set the PWM duty cycle (0-100%).
 */
void Pwm_SetDuty(uint8_t duty);

#endif /* PWM_H_ */
